Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4405 - ecvt(3) access momry not bounded to static array.
Summary: ecvt(3) access momry not bounded to static array.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 6.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-06 19:07 UTC by erez
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-11 01:59:32 UTC


Attachments (Terms of Use)

Description erez 1999-08-06 19:07:04 UTC
The ecvt man page/spcifications doesn't set a limit
to the number of digits that can be requested.
The following code will crash:
------------------------------------
# include <stdio.h>
# include <stdlib.h>

int main ()
{
        int i, j, n = 0;
        ecvt (2.0/3.0, 10000, &i, &j);
        return 0;
}
----------------------------
it should not crash.

Erez Strauss <erez@newplaces.com>

Comment 1 Cristian Gafton 1999-08-11 01:59:59 UTC
Fixed in the newer releases of glibc available from rawhide.


Note You need to log in before you can comment on or make changes to this bug.